{% block sidebar %}

<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary elevation-4">
<!-- Brand Logo -->
<a href="#" class="brand-link">
    <img src="/static/{{ attributes.project_logo }}" alt="Logo datact.io" class="brand-image"
        style="opacity: .8">
</a>

<!-- Sidebar -->
<div class="sidebar">
    <!-- Sidebar user panel (optional) -->
    <div class="user-panel mt-3 pb-3 mb-3 d-flex">
    <div class="image">
        <img src="/static/{{ attributes.avatar }}" class="img-circle elevation-2" alt="User Image">
    </div>
    <div class="info">
        <a href="#" class="d-block">{{ attributes.username }}</a>
    </div>
    </div>

    <!-- Sidebar Menu -->
    <nav class="mt-2">
    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
        
        <!-- Loop on Menu table for the sidebar -->
        {% for sidebar_parent in sidebar %}
            {% if not sidebar_parent.parent%}
                {% if sidebar_parent.has_children%}
                <li class="nav-item has-treeview menu-open">
                    <a href="{{ sidebar_parent.link }}" class="nav-link">
                        <i class="nav-icon fas {% if sidebar_parent.icon %}{{ sidebar_parent.icon }}{% else %}fa-th{% endif %} {{ sidebar_parent.classes }}"></i>
                        <p>{{ sidebar_parent.name }}
                            <i class="fas fa-angle-left right"></i>
                            {% if sidebar_parent.badge_display %}
                                <span class="right badge {% if sidebar_parent.badge_type %}{{ sidebar_parent.badge_type }}{% else %}badge-info{% endif %}">{{ sidebar_parent.badge_value }}</span>
                            {% endif %}
                        </p>
                    </a>
                    <ul class="nav nav-treeview" style="display: block;">
                        {% for sidebar_item in sidebar %}
                            {% if sidebar_item.parent == sidebar_parent.id %}
                                {% include "adminlte/sidebar-item.html" %}
                            {% endif %} 
                        {% endfor %}
                    </ul>
                </li>
                    
                {% else %}
                    {% with sidebar_item=sidebar_parent %}
                        {% include "adminlte/sidebar-item.html" %}
                    {% endwith %}
                {% endif %} 
            {% endif %} 
        {% endfor %}
        <!-- End loop on sidebar items -->

    </ul>
    </nav>
    <!-- /.sidebar-menu -->
</div>

<!-- /.sidebar -->
</aside>

{% endblock %}


